Bug 110459 - Hardware Profiles for docked and undocked laptops
Hardware Profiles for docked and undocked laptops
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-11-19 13:13 EST by Anthony Clark
Modified: 2014-03-16 22:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-23 16:45:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthony Clark 2003-11-19 13:13:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)

Description of problem:
I have a laptop that I use docked at work and undocked while on the road.

I'd like to have a way of automatically selecting a hardware profile
that would encompass console keyboard and mouse, and X screen,
keyboard and mouse, and network cards.

e.g.  Docked I have a USB keyboard and mouse, a 1600x1200 screen and 3
network cards (I use the docking station one).  Undocked I have ps2
keyboard and mouse, a 1400x1050 and 2 network cards.

Further complicating this is that the docked config has the wireless
card as eth2, the laptop ethernet port as eth0 and the dock ethernet
port as eth1.  Removing the laptop from the dock removes the eth1,
replacing it with the wireless port.  Of course this doesn't address
the half dozen or so wireless nets I roam among...

Ideally I'd like to have a gnome applet displaying which hardware
config I'm using, and a control panel app to configure profiles.

This enhancement would have to manage GPM, XF86Config and network
configs.  Depending on how large a scope this app addressed, it may
have to manage services as well;  e.g. controlling pcmcia slots,
turning on/off postfix, managing firewall etc.

This is pretty much the limit of my expertise;  I wrote some quick
shell scripts to control wireless nets when I was using gentoo, but
didn't get as far as controlling X screen resolutions.  I am not
confident of my ability to write a gnome applet or control panel app.

I'd be very enthusiastic and happy to pitch in any way I can though. 
I'm however aware that this is a fairly large change for a small
usergroup;  how many people would use fedora on laptops, and how many
of those would dock those laptops...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Not applicable to a RFE

Additional info:
Comment 1 Dave Jones 2003-11-19 14:39:32 EST
Nothing for the kernel to do afaics. 
Kudzu could switch profile on boot up though I suppose. Bill ?

We also already have apm scripts I think, so changing dynamically when
the user changes power source from AC to battery and vice versa is
probably easy enough. Don't know how well these play with ACPI.

As for a gnome-applet, afaik, nothing like this exists, and I don't
know of any work ongoing in that area. Havoc ?
Comment 2 Anthony Clark 2003-11-19 15:51:28 EST
Additionally, ignore the wibbling about eth* numbers changing.  That
happened in gentoo, not in fedora/kudzu which do the correct thing
(imho) and keep the numbers consistent.
Comment 3 Orion Poplawski 2005-05-16 15:27:36 EDT
Has there been any more development in this area?  At the very least I would
like a way to mark device as "permanently removable" so that kudzu won't keep
asking me to remove the configuration everytime I take the machine out of the dock.

I've also thought about doing some work on automatically selecting a netprofile
based on the network devices present, but this isn't as big a deal.
Comment 4 Bill Nottingham 2005-09-23 16:45:32 EDT
Network profile type things are probably best done in the future via
NetworkManager. Aside from that, the UI has been removed from kudzu, so it
shouldn't be popping remove events in current releases. Hence, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.